    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2007, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ----------------
    028     * YisSymbolic.java
    029     * ----------------
    030     *
    031     * Original Author:  Anthony Boulestreau;
    032     * Contributor(s):   David Gilbert (for Object Refinery Limited);
    033     *
    034     * $Id: YisSymbolic.java,v 1.2.2.2 2007/02/02 15:14:53 mungady Exp $
    035     *
    036     * Changes (from 21-Aug-2001)
    037     * --------------------------
    038     * 29-Mar-2002 : First version (AB);
    039     * 07-Oct-2002 : Fixed errors reported by Checkstyle (DG);
    040     * 18-Aug-2004 : Moved from org.jfree.data --> org.jfree.data.xy (DG);
    041     * 02-Feb-2007 : Removed author tags all over JFreeChart sources (DG);
    042     *
    043     */
    044
    045    package org.jfree.data.xy;
    046
    047    /**
    048     * Represent a data set where Y is a symbolic values. Each symbolic value is
    049     * linked with an Integer.
    050     */
    051    public interface YisSymbolic {
    052
    053        /**
    054         * Returns the list of symbolic values.
    055         *
    056         * @return The symbolic values.
    057         */
    058        public String[] getYSymbolicValues();
    059
    060        /**
    061         * Returns the symbolic value of the data set specified by
    062         * <CODE>series</CODE> and <CODE>item</CODE> parameters.
    063         *
    064         * @param series  the series index (zero-based).
    065         * @param item  the item index (zero-based).
    066         *
    067         * @return The symbolic value.
    068         */
    069        public String getYSymbolicValue(int series, int item);
    070
    071        /**
    072         * Returns the symbolic value linked with the specified
    073         * <CODE>Integer</CODE>.
    074         *
    075         * @param val  value of the integer linked with the symbolic value.
    076         *
    077         * @return The symbolic value.
    078         */
    079        public String getYSymbolicValue(Integer val);
    080
    081    }